        subroutine DATACK(K)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'UNITS.INC'
      include 'LOCAL1.INC'
      include 'LOCAL2.INC'
      include 'LOCAL3.INC'
        integer I, J, K
        real BIOTES, HYDTES, PHOTES, REDTES, TEST
      PHOTSW = .false.
      BIOSW = .false.
      VOLSW = .false.
      HYDRSW = .false.
      PRODSW = .false.
      REDSW = .false.
      BIOTES = 0.0
      HYDTES = 0.0
      PHOTES = 0.0
      REDTES = 0.0
      TEST = 0.0
      do 120 J = 1, 7
         if (SPFLGG(J,K).eq.0) go to 120
         TEST = QUANTG(1,J,K)+QUANTG(2,J,K)+QUANTG(3,J,K)
         if (KDPG(J,K).ne.0.0.and.TEST.eq.0.0) then
            QUANTG(1,J,K) = 1.0
            write (TTYOUT(MACHNO),5000) J,K
         endif
         do 100 I = 1, 4
            BIOTES = BIOTES+KBACWG(I,J,K)+KBACSG(I,J,K)
100      continue
         do 110 I = 1, 3
            HYDTES = HYDTES+KAHG(I,J,K)+KNHG(I,J,K)+KBHG(I,J,K)
            PHOTES = PHOTES+QUANTG(I,J,K)+KOXG(I,J,K)+K1O2G(I,J,K)
            REDTES = REDTES+KREDG(I,J,K)
110      continue
120   continue
5000  format (1X,' ****WARNING****'/1X,'Chemical Species #',I1,' of chem
     &ical number ',I3/1X,'specifies a pseudo-first-order direct photoly
     &sis rate'/1X,'constant and no quantum yield.'/1X,'QUANT1 has been 
     &set to 1 to enable this transformation.')
      if (BIOTES.ne.0.0) BIOSW = .true.
      if (HYDTES.ne.0.0) HYDRSW = .true.
      if (REDTES.ne.0.0) REDSW = .true.
      if (PHOTES.ne.0.0) PHOTSW = .true.
      if (MWTG(K).gt.0.0.and.(HENRYG(K).gt.0.0.or.VAPRG(K).gt.0.0))
     &    VOLSW = .true.
      do 130 I = 1, NTRAN
         if (CHPARG(I).eq.K) go to 140
130   continue
      go to 150
140   continue
      PRODSW = .true.
150   continue
      return
      end
